Subject: Re: bug#31246: 25.1; AIX 7.2: emacs does not start in X11 window

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Apr 2018 19:10:41 +0300

> From: <[email-masked]>
> Date: Mon, 23 Apr 2018 10:28:12 +0200
> 
> 
> It's on a fresh install of AIX 7.2. I got the packages from Bull for
> Emacs 25.1:
> emacs-X11-25.1-1.ppc
> emacs-25.1-1.ppc
> 
> Other X11 programs work normally, but emacs starts in the terminal
> window only.

Your Emacs was built without X11 support:

> In GNU Emacs 25.1.1 (powerpc-ibm-aix6.1.9.0)
>  of 2017-03-24 built on castor1.coopibm.frec.bull.fr
> Configured using:
>  'configure --prefix=/opt/freeware --info=/opt/freeware/info
>  --libexecdir=/opt/freeware/lib --sharedstatedir=/var --with-pop
>  --with-x=no CC=gcc 'CFLAGS=-O2 ' LDFLAGS=-s'
   ^^^^^^^^^^^

Consequently, the list of features doesn't include X11:

> Configured features:
> JPEG DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB

You need to find a build with X11.  (I'd expect emacs-X11-25.1-1.ppc
to be that build, but assuming you already installed it, I guess
that's some snafu on the Bull site or something.)